| GET | /RestApi/translations/projects/statuses |
|---|
"use strict";
/** @typedef {'NotStarted'|'Started'|'Completed'} */
export var ProjectStatus;
(function (ProjectStatus) {
ProjectStatus["NotStarted"] = "NotStarted"
ProjectStatus["Started"] = "Started"
ProjectStatus["Completed"] = "Completed"
})(ProjectStatus || (ProjectStatus = {}));
export class GetProjectsStatus {
/** @param {{SearchText?:string,Service?:string[],ProjectStatus?:ProjectStatus,ActualSourceLanguage?:string,WithoutSourceLanguage?:boolean}} [init] */
constructor(init) { Object.assign(this, init) }
/** @type {string} */
SearchText;
/** @type {string[]} */
Service;
/** @type {?ProjectStatus} */
ProjectStatus;
/** @type {string} */
ActualSourceLanguage;
/** @type {boolean} */
WithoutSourceLanguage;
}
JavaScript GetProjectsStatus DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects/statuses HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"Name":"String","Code":"String","Count":0}]